C (c) CROWN COPYRIGHT 1995, METEOROLOGICAL OFFICE, All Rights Reserved.            RAD_ALL.23414 
C                                                                                  RAD_ALL.23415 
C Use, duplication or disclosure of this code is subject to the                    RAD_ALL.23416 
C restrictions as set forth in the contract.                                       RAD_ALL.23417 
C                                                                                  RAD_ALL.23418 
C                Meteorological Office                                             RAD_ALL.23419 
C                London Road                                                       RAD_ALL.23420 
C                BRACKNELL                                                         RAD_ALL.23421 
C                Berkshire UK                                                      RAD_ALL.23422 
C                RG12 2SZ                                                          RAD_ALL.23423 
C                                                                                  RAD_ALL.23424 
C If no contract has been raised with this copy of the code, the use,              RAD_ALL.23425 
C duplication or disclosure of it is strictly prohibited.  Permission              RAD_ALL.23426 
C to do so must first be obtained in writing from the Head of Numerical            RAD_ALL.23427 
C Modelling at the above address.                                                  RAD_ALL.23428 
C ******************************COPYRIGHT******************************            RAD_ALL.23429 
C                                                                                  RAD_ALL.23430 
!+ Subroutine to set the scattering flag in this a band.                           RAD_ALL.23431 
!                                                                                  RAD_ALL.23432 
! Method:                                                                          RAD_ALL.23433 
!       Straightforward.                                                           RAD_ALL.23434 
!                                                                                  RAD_ALL.23435 
! Current Owner of Code: J. M. Edwards                                             RAD_ALL.23436 
!                                                                                  RAD_ALL.23437 
! History:                                                                         RAD_ALL.23438 
!       Version         Date                    Comment                            RAD_ALL.23439 
!       4.0             27-07-95                Original Code                      RAD_ALL.23440 
!                                               (J. M. Edwards)                    RAD_ALL.23441 
!                                               (J. M. Edwards)                    RAD_ALL.23442 
!                                                                                  RAD_ALL.23443 
! Description of Code:                                                             RAD_ALL.23444 
!   FORTRAN 77 with extensions listed in documentation.                            RAD_ALL.23445 
!                                                                                  RAD_ALL.23446 
!- ---------------------------------------------------------------------           RAD_ALL.23447 
      SUBROUTINE SET_SCATTERING(I_SCATTER_METHOD                                   RAD_ALL.23448 
     &   , L_SWITCH_SCATTER                                                        RAD_ALL.23449 
     &   , I_SCATTER_METHOD_BAND                                                   RAD_ALL.23450 
     &   )                                                                         RAD_ALL.23451 
!                                                                                  RAD_ALL.23452 
!                                                                                  RAD_ALL.23453 
!                                                                                  RAD_ALL.23454 
      IMPLICIT NONE                                                                RAD_ALL.23455 
!                                                                                  RAD_ALL.23456 
!                                                                                  RAD_ALL.23457 
!                                                                                  RAD_ALL.23458 
!     INCLUDE COMDECKS                                                             RAD_ALL.23459 
!     ------------------------------------------------------------------           SCTMTH3A.2     
!     COMDECK FOR TWO-STREAM RADIATION CODE.                                       SCTMTH3A.3     
!                                                                                  SCTMTH3A.4     
!     MODULE TO SET THE METHODS OF TREATING SCATTERING.                            SCTMTH3A.5     
!                                                                                  SCTMTH3A.6     
      INTEGER                                                                      SCTMTH3A.7     
     &     IP_SCATTER_FULL                                                         SCTMTH3A.8     
!             FULL TREATMENT OF SCATTERING                                         SCTMTH3A.9     
     &   , IP_NO_SCATTER_ABS                                                       SCTMTH3A.10    
!             SCATTERING IGNORED COMPLETELY.                                       SCTMTH3A.11    
     &   , IP_NO_SCATTER_EXT                                                       SCTMTH3A.12    
!             SCATTERING TREATED AS ABSORPTION                                     SCTMTH3A.13    
!                                                                                  SCTMTH3A.14    
      PARAMETER(                                                                   SCTMTH3A.15    
     &     IP_SCATTER_FULL=1                                                       SCTMTH3A.16    
     &   , IP_NO_SCATTER_ABS=2                                                     SCTMTH3A.17    
     &   , IP_NO_SCATTER_EXT=3                                                     SCTMTH3A.18    
     &   )                                                                         SCTMTH3A.19    
!                                                                                  SCTMTH3A.20    
!     ------------------------------------------------------------------           SCTMTH3A.21    
!                                                                                  RAD_ALL.23461 
!                                                                                  RAD_ALL.23462 
!     DUMMY ARGUMENTS.                                                             RAD_ALL.23463 
      INTEGER   !, INTENT(IN)                                                      RAD_ALL.23464 
     &     I_SCATTER_METHOD                                                        RAD_ALL.23465 
!             METHOD OF TREATING SCATTERING                                        RAD_ALL.23466 
      LOGICAL   !, INTENT(IN)                                                      RAD_ALL.23467 
     &     L_SWITCH_SCATTER                                                        RAD_ALL.23468 
!             SCATTERING SWITCH FOR THE BAND                                       RAD_ALL.23469 
      INTEGER   !, INTENT(OUT)                                                     RAD_ALL.23470 
     &     I_SCATTER_METHOD_BAND                                                   RAD_ALL.23471 
!             SCATTERING FLAG IN THIS BAND                                         RAD_ALL.23472 
!                                                                                  RAD_ALL.23473 
!                                                                                  RAD_ALL.23474 
!                                                                                  RAD_ALL.23475 
      IF (I_SCATTER_METHOD.EQ.IP_SCATTER_FULL) THEN                                RAD_ALL.23476 
!                                                                                  RAD_ALL.23477 
!        PERFORM A FULL SCATTERING CALCULATION IN THIS BAND                        RAD_ALL.23478 
         I_SCATTER_METHOD_BAND=IP_SCATTER_FULL                                     RAD_ALL.23479 
!                                                                                  RAD_ALL.23480 
      ELSE IF (I_SCATTER_METHOD.EQ.IP_NO_SCATTER_ABS) THEN                         RAD_ALL.23481 
!                                                                                  RAD_ALL.23482 
!        SCATTERING EXTINCTION IS TO BE NEGLECTED IF SPECIFIED IN THIS             RAD_ALL.23483 
!        BAND. OTHERWISE A FULL SCATTERING CALCULATION IS REQUIRED.                RAD_ALL.23484 
         IF (L_SWITCH_SCATTER) THEN                                                RAD_ALL.23485 
            I_SCATTER_METHOD_BAND=IP_NO_SCATTER_ABS                                RAD_ALL.23486 
         ELSE                                                                      RAD_ALL.23487 
            I_SCATTER_METHOD_BAND=IP_SCATTER_FULL                                  RAD_ALL.23488 
         ENDIF                                                                     RAD_ALL.23489 
!                                                                                  RAD_ALL.23490 
      ELSE IF (I_SCATTER_METHOD.EQ.IP_NO_SCATTER_EXT) THEN                         RAD_ALL.23491 
!                                                                                  RAD_ALL.23492 
!        SCATTERING EXTINCTION IS TO BE TREATED AS ABSORPTION IF                   RAD_ALL.23493 
!        SPECIFIED IN THIS BAND. OTHERWISE A FULL SCATTERING                       RAD_ALL.23494 
!        CALCULATION IS REQUIRED.                                                  RAD_ALL.23495 
         IF (L_SWITCH_SCATTER) THEN                                                RAD_ALL.23496 
            I_SCATTER_METHOD_BAND=IP_NO_SCATTER_ABS                                RAD_ALL.23497 
         ELSE                                                                      RAD_ALL.23498 
            I_SCATTER_METHOD_BAND=IP_SCATTER_FULL                                  RAD_ALL.23499 
         ENDIF                                                                     RAD_ALL.23500 
!                                                                                  RAD_ALL.23501 
      ENDIF                                                                        RAD_ALL.23502 
!                                                                                  RAD_ALL.23503 
!                                                                                  RAD_ALL.23504 
!                                                                                  RAD_ALL.23505 
      RETURN                                                                       RAD_ALL.23506 
      END    
